"{ Package: 'stx:libsvn' }"

"{ NameSpace: SVN }"

Enum subclass:#Status
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'SVN-Status'
!


!Status class methodsFor:'instance creation'!

new

    self error:'Status is a signleton class, use #instance instead'

    "Created: / 18-08-2009 / 12:51:14 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

withId: aCharacter

    self allSubclasses 
        do:[:cls|cls instance name = aCharacter ifTrue:[^cls instance]].
    ^self error: 'No status with id ', aCharacter.

    "Created: / 18-08-2009 / 12:53:04 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!Status methodsFor:'accessing'!

icon

    ^self subclassResponsibility

    "Created: / 11-04-2008 / 11:05:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

id
    "Returns a one-char ID of status"

    ^ self subclassResponsibility

    "Modified: / 18-08-2009 / 12:43:57 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!Status methodsFor:'printing'!

printOn: stream 
    self class name printOn: stream

    "Created: / 16-03-2008 / 08:26:35 / janfrog"
! !

!Status methodsFor:'testing'!

isAdded

    ^false

    "Created: / 19-03-2008 / 18:40:01 / janfrog"
!

isNormal

    ^false

    "Created: / 11-04-2008 / 11:27:21 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

isUnversioned

    ^false

    "Created: / 15-03-2008 / 22:29:10 / janfrog"
! !

!Status class methodsFor:'documentation'!

version
    ^ '$Header$'
!

version_CVS
    ^ '$Header$'
!

version_SVN
    ^'Id: SVN__Status.st 110 2009-08-19 13:21:10Z vranyj1 '
! !
